#
# spec file for package ghc-cmark-gfm
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name cmark-gfm
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.2
Release:        bp155.2.13
Summary:        Fast, accurate GitHub Flavored Markdown parser and renderer
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
%endif

%description
This package provides Haskell bindings for <https://github.com/github/cmark-gfm
libcmark-gfm>, the reference parser for <https://github.github.com/gfm/ GitHub
Flavored Markdown>, a fully specified variant of Markdown. It includes sources
for libcmark-gfm (0.29.0.gfm.0) and does not require prior installation of the
C library.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README.md changelog

%changelog
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Wed Sep 16 2020 psimons@suse.com
- Update cmark-gfm to version 0.2.2.
  cmark-gfm 0.2.2 (16 Sep 2020)
  * Pull in upstream changes.
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 Peter Simons <psimons@suse.com>
- Re-generate file with latest version of spec-cleaner.
* Sat Nov 16 2019 psimons@suse.com
- Update cmark-gfm to version 0.2.1.
  cmark-gfm 0.2.1 (15 Nov 2019)
  * Add tasklist support (#16, Christian Gill).
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Thu Apr 11 2019 psimons@suse.com
- Update cmark-gfm to version 0.2.0.
  cmark-gfm 0.2.0 (8 Apr 2019)
  * Pull in upstream changes.
  cmark 0.6 (08 Apr 2019)
  * Update to cmark 0.29.0.
  * Export optUnsafe.  Note that the default is now to suppress
    potentially unsafe HTML; set optUnsafe to return to the old behavior.
* Thu Mar 14 2019 psimons@suse.com
- Update cmark-gfm to version 0.1.8.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/cmark-gfm-0.1.8/src/changelog
* Wed Mar 13 2019 psimons@suse.com
- Update cmark-gfm to version 0.1.7.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/cmark-gfm-0.1.7/src/changelog
* Thu Oct 18 2018 psimons@suse.com
- Update cmark-gfm to version 0.1.6.
  cmark-gfm 0.1.6 (17 Oct 2018)
  * Update to cmark-gfm 0.28.3.gfm.18.
  * `optUnsafe` is now exposed, instead of `optSafe`.
* Wed Aug 22 2018 psimons@suse.com
- Update cmark-gfm to version 0.1.5.
  cmark-gfm 0.1.5 (21 Aug 2018)
  * Update to cmark-gfm 0.28.3.gfm.15.
  * Fix build with system cmark-gfm (Felix Yan, #9).
* Fri Jul 13 2018 psimons@suse.com
- Update cmark-gfm to version 0.1.4.
  cmark-gfm 0.1.4 (2 Jul 2018)
  * Extensions work correctly on big-endian systems (Ilias Tsitsimpis).
* Mon May 14 2018 psimons@suse.com
- Add cmark-gfm at version 0.1.3.
